Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.jdbc.pool
Class DatabaseMetaData

    java.lang.Object
      |
      +--weblogic.jdbcbase.pool.DatabaseMetaData
            |
            +--weblogic.jdbc.pool.DatabaseMetaData

public class DatabaseMetaData
extends weblogic.jdbcbase.pool.DatabaseMetaData
implements java.sql.DatabaseMetaData

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.pool.DatabaseMetaData
`cc, conn, dbmd`

Constructor Summary
`DatabaseMetaData(java.sql.DatabaseMetaData aDbmd, weblogic.jdbc.common.internal.ConnectionEnv aCc, Connection aConn)`

Method Summary
`protected java.sql.ResultSet` | `makeResultSet(java.sql.ResultSet aRs, weblogic.jdbc.common.internal.ConnectionEnv aCc, java.lang.String aKey, weblogic.jdbcbase.pool.Connection aConn)`

Methods inherited from class weblogic.jdbcbase.pool.DatabaseMetaData
`allProceduresAreCallable, allTablesAreSelectable, dataDefinitionCausesTransactionCommit, dataDefinitionIgnoredInTransactions, doesMaxRowSizeIncludeBlobs, getBestRowIdentifier, getCatalogs, getCatalogSeparator, getCatalogTerm, getColumnPrivileges, getColumns, getCrossReference, getDatabaseProductName, getDatabaseProductVersion, getDefaultTransactionIsolation, getDriverMajorVersion, getDriverMinorVersion, getDriverName, getDriverVersion, getExportedKeys, getExtraNameCharacters, getIdentifierQuoteString, getImportedKeys, getIndexInfo, getMaxBinaryLiteralLength, getMaxCatalogNameLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxProcedureNameLength, getMaxRowSize, getMaxSchemaNameLength, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength, getNumericFunctions, getPrimaryKeys, getProcedureColumns, getProcedures, getProcedureTerm, getSchemas, getSchemaTerm, getSearchStringEscape, getSQLKeywords, getStringFunctions, getSystemFunctions, getTablePrivileges, getTables, getTableTypes, getTimeDateFunctions, getTypeInfo, getURL, getUserName, getVersionColumns, isCatalogAtStart, isReadOnly, nullPlusNonNullIsNull, nullsAreSortedAtEnd, nullsAreSortedAtStart, nullsAreSortedHigh, nullsAreSortedLow, storesLowerCaseIdentifiers, storesLowerCaseQuotedIdentifiers, storesMixedCaseIdentifiers, storesMixedCaseQuotedIdentifiers, storesUpperCaseIdentifiers, storesUpperCaseQuotedIdentifiers, supportsAlterTableWithAddColumn, supportsAlterTableWithDropColumn, supportsANSI92EntryLevelSQL, supportsANSI92FullSQL, supportsANSI92IntermediateSQL, supportsCatalogsInDataManipulation, supportsCatalogsInIndexDefinitions, supportsCatalogsInPrivilegeDefinitions, supportsCatalogsInProcedureCalls, supportsCatalogsInTableDefinitions, supportsColumnAliasing, supportsConvert, supportsConvert, supportsCoreSQLGrammar, supportsCorrelatedSubqueries, supportsDataDefinitionAndDataManipulationTransactions, supportsDataManipulationTransactionsOnly, supportsDifferentTableCorrelationNames, supportsExpressionsInOrderBy, supportsExtendedSQLGrammar, supportsFullOuterJoins, supportsGroupBy, supportsGroupByBeyondSelect, supportsGroupByUnrelated, supportsIntegrityEnhancementFacility, supportsLikeEscapeClause, supportsLimitedOuterJoins, supportsMinimumSQLGrammar, supportsMixedCaseIdentifiers, supportsMixedCaseQuotedIdentifiers, supportsMultipleResultSets, supportsMultipleTransactions, supportsNonNullableColumns, supportsOpenCursorsAcrossCommit, supportsOpenCursorsAcrossRollback, supportsOpenStatementsAcrossCommit, supportsOpenStatementsAcrossRollback, supportsOrderByUnrelated, supportsOuterJoins, supportsPositionedDelete, supportsPositionedUpdate, supportsSchemasInDataManipulation, supportsSchemasInIndexDefinitions, supportsSchemasInPrivilegeDefinitions, supportsSchemasInProcedureCalls, supportsSchemasInTableDefinitions, supportsSelectForUpdate, supportsStoredProcedures, supportsSubqueriesInComparisons, supportsSubqueriesInExists, supportsSubqueriesInIns, supportsSubqueriesInQuantifieds, supportsTableCorrelationNames, supportsTransactionIsolationLevel, supportsTransactions, supportsUnion, supportsUnionAll, usesLocalFilePerTable, usesLocalFiles`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseMetaData

    public DatabaseMetaData(java.sql.DatabaseMetaData aDbmd,
                            weblogic.jdbc.common.internal.ConnectionEnv aCc,
                            Connection aConn)

Method Detail

### makeResultSet

    protected java.sql.ResultSet makeResultSet(java.sql.ResultSet aRs,
                                               weblogic.jdbc.common.internal.ConnectionEnv aCc,
                                               java.lang.String aKey,
                                               weblogic.jdbcbase.pool.Connection aConn)
                                        throws java.sql.SQLException

  Overrides:
    makeResultSet in class weblogic.jdbcbase.pool.DatabaseMetaData

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD